summaryrefslogtreecommitdiffstats
path: root/patches/source/yptools
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/yptools')
-rw-r--r--patches/source/yptools/nsswitch.conf-nis45
-rw-r--r--patches/source/yptools/rc.yp123
-rw-r--r--patches/source/yptools/slack-desc19
-rw-r--r--patches/source/yptools/yp-tools-2.14-glibc217-crypt.diff86
-rwxr-xr-xpatches/source/yptools/yptools.SlackBuild292
5 files changed, 565 insertions, 0 deletions
diff --git a/patches/source/yptools/nsswitch.conf-nis b/patches/source/yptools/nsswitch.conf-nis
new file mode 100644
index 000000000..8f0805f00
--- /dev/null
+++ b/patches/source/yptools/nsswitch.conf-nis
@@ -0,0 +1,45 @@
+#
+# /etc/nsswitch.conf
+#
+# This is an example Name Service Switch config file with NIS+ and NIS
+# enabled. If you use these services, you can simply copy this file to
+# /etc/nsswitch.conf instead of doing a lot of editing.
+#
+# This file should be sorted with the most-used services at the beginning.
+#
+# The entry '[NOTFOUND=return]' means that the search for an
+# entry should stop if the search in the previous entry turned
+# up nothing. Note that if the search failed due to some other reason
+# (like no NIS server responding) then the search continues with the
+# next entry.
+#
+# Legal entries are:
+#
+# nisplus or nis+ Use NIS+ (NIS version 3)
+# nis or yp Use NIS (NIS version 2), also called YP
+# dns Use DNS (Domain Name Service)
+# files Use the local files
+# [NOTFOUND=return] Stop searching if not found so far
+#
+
+passwd: files nisplus nis
+shadow: files nisplus nis
+group: files nisplus nis
+
+hosts: files nisplus nis dns
+
+services: nisplus [NOTFOUND=return] files
+networks: nisplus [NOTFOUND=return] files
+protocols: nisplus [NOTFOUND=return] files
+rpc: nisplus [NOTFOUND=return] files
+ethers: nisplus [NOTFOUND=return] files
+netmasks: nisplus [NOTFOUND=return] files
+bootparams: nisplus [NOTFOUND=return] files
+
+netgroup: nisplus
+
+publickey: nisplus
+
+automount: files nisplus
+aliases: files nisplus
+
diff --git a/patches/source/yptools/rc.yp b/patches/source/yptools/rc.yp
new file mode 100644
index 000000000..eda9634e4
--- /dev/null
+++ b/patches/source/yptools/rc.yp
@@ -0,0 +1,123 @@
+#!/bin/sh
+# /etc/rc.d/rc.yp
+#
+# Start NIS (Network Information Service). NIS provides network-wide
+# distribution of hostname, username, and other information databases.
+# After configuring NIS, you will need to uncomment the parts of this
+# script that you want to run.
+#
+# NOTE: for detailed information about setting up NIS, see the
+# documentation in /usr/doc/yp-tools, /usr/doc/ypbind,
+# /usr/doc/ypserv, and /usr/doc/Linux-HOWTOs/NIS-HOWTO.
+
+# Set non-zero to enable yp client functions
+YP_CLIENT_ENABLE=1
+
+# Set non-zero to enable yp server functions
+YP_SERVER_ENABLE=0
+
+# If YP_SERVER_ENABLE is set, a non-zero YP_XFRD_ENABLE setting will
+# enable ypxfrd.
+YP_XFRD_ENABLE=0
+
+PID_PATH=/var/run
+
+yp_start() {
+
+ if [ $YP_SERVER_ENABLE -ne 0 ]; then
+ # NIS SERVER CONFIGURATION:
+ # If you are the master server for the NIS domain, you must run ypserv to
+ # service clients on the domain.
+ if [ -x /usr/sbin/ypserv ]; then
+ echo "Starting NIS server: /usr/sbin/ypserv"
+ /usr/sbin/ypserv
+ fi
+
+ # If you are the master server for the NIS domain, you must also run
+ # rpc.yppasswdd, which is the RPC server that lets users change their
+ # passwords. You might also want users to be able to change their shell
+ # and GECOS information, in which case you should comment out the first
+ # yppasswdd line and uncomment out the second one.
+
+ if [ -x /usr/sbin/rpc.yppasswdd ]; then
+ echo "Starting NIS master password server: /usr/sbin/rpc.yppasswdd"
+ /usr/sbin/rpc.yppasswdd
+ # echo "Starting NIS master password server: /usr/sbin/rpc.yppasswdd -e chsh -e chfn"
+ # /usr/sbin/rpc.yppasswdd -e chsh -e chfn
+ fi
+
+ # If you have NIS slave servers, you might also want to start up
+ # rpc.ypxfrd, which transfers changes in the NIS domain to slave servers.
+ # Alternatively, rpc.ypxfrd can be run out of inetd.
+ if [ $YP_XFRD_ENABLE -ne 0 ]; then
+ if [ -x /usr/sbin/rpc.ypxfrd ]; then
+ echo "Starting NIS transfer server: /usr/sbin/rpc.ypxfrd"
+ /usr/sbin/rpc.ypxfrd
+ fi
+ fi
+ fi
+
+ if [ $YP_CLIENT_ENABLE -ne 0 ]; then
+ # NIS CLIENT CONFIGURATION:
+ # If you are a NIS client, all you need to do is run ypbind, which will
+ # broadcast across the network to find a server. Your NIS server might
+ # also be a client.
+ if [ -d /var/yp ]; then
+ echo "Starting NIS services: /usr/sbin/ypbind -broadcast"
+ /usr/sbin/ypbind -broadcast
+ fi
+ fi
+}
+
+yp_stop() {
+ if [ -r ${PID_PATH}/ypbind.pid ]; then
+ echo "Stopping NIS services."
+ kill $(cat ${PID_PATH}/ypbind.pid)
+ fi
+
+ if [ -r ${PID_PATH}/ypxfrd.pid ]; then
+ echo "Stopping NIS transfer server."
+ kill $(cat ${PID_PATH}/ypxfrd.pid)
+ fi
+
+ if [ -r ${PID_PATH}/yppasswdd.pid ]; then
+ echo "Stopping NIS master password server."
+ kill $(cat ${PID_PATH}/yppasswdd.pid)
+ fi
+
+ if [ -r ${PID_PATH}/ypserv.pid ]; then
+ echo "Stopping NIS server."
+ kill $(cat ${PID_PATH}/ypserv.pid)
+ fi
+}
+
+# First, we must setup the NIS domainname. NOTE: this is not necessarily
+# the same as your DNS domainname, set in /etc/resolv.conf. The NIS
+# domainname is the name of a domain served by your NIS server.
+#
+# If /etc/defaultdomain has not been configured we'll bail out.
+if [ -r /etc/defaultdomain -a -x /bin/nisdomainname ]; then
+ if [ "$(nisdomainname)" == "(none)" ]; then
+ nisdomainname `cat /etc/defaultdomain`
+ fi
+else
+ echo "/etc/rc.d/rc.yp: NIS not configured. Hint: set up /etc/defaultdomain."
+ exit 0
+fi
+
+case "$1" in
+'start')
+ yp_start
+ ;;
+'stop')
+ yp_stop
+ ;;
+'restart')
+ yp_stop
+ yp_start
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
+
+# # Done setting up NIS.
diff --git a/patches/source/yptools/slack-desc b/patches/source/yptools/slack-desc
new file mode 100644
index 000000000..bedfb39e6
--- /dev/null
+++ b/patches/source/yptools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yptools: yptools (NIS servers and clients)
+yptools:
+yptools: NIS stands for Network Information Service. NIS is usually used to
+yptools: provide /etc/passwd and /etc/group information throughout the network.
+yptools: Most Sun-based networks run NIS, and Linux machines can take full
+yptools: advantage of existing NIS service or provide NIS service themselves.
+yptools:
+yptools:
+yptools:
+yptools:
+yptools:
diff --git a/patches/source/yptools/yp-tools-2.14-glibc217-crypt.diff b/patches/source/yptools/yp-tools-2.14-glibc217-crypt.diff
new file mode 100644
index 000000000..148b06632
--- /dev/null
+++ b/patches/source/yptools/yp-tools-2.14-glibc217-crypt.diff
@@ -0,0 +1,86 @@
+Starting with glibc 2.17 (eglibc 2.17), crypt() fails with EINVAL
+(w/ NULL return) if the salt violates specifications. Additionally,
+on FIPS-140 enabled Linux systems, DES/MD5-encrypted passwords
+passed to crypt() fail with EPERM (w/ NULL return).
+
+If using glibc's crypt(), check return value to avoid a possible
+NULL pointer dereference.
+
+Author: mancha
+
+====
+
+--- yp-tools-2.14/src/yppasswd.c.orig 2010-04-21
++++ yp-tools-2.14/src/yppasswd.c 2013-05-22
+@@ -423,6 +423,7 @@ static int /* return values: 0 = not ok,
+ verifypassword (struct passwd *pwd, char *pwdstr, uid_t uid)
+ {
+ char *p, *q;
++ char *crypted_pass;
+ int ucase, lcase, other, r;
+ int passwdlen;
+
+@@ -448,12 +449,19 @@ verifypassword (struct passwd *pwd, char
+ }
+
+ passwdlen = get_passwd_len (pwd->pw_passwd);
+- if (pwd->pw_passwd[0]
+- && !strncmp (pwd->pw_passwd, crypt (pwdstr, pwd->pw_passwd), passwdlen)
+- && uid)
++ if (pwd->pw_passwd[0] && uid)
+ {
+- fputs (_("You cannot reuse the old password.\n"), stderr);
+- return 0;
++ crypted_pass = crypt (pwdstr, pwd->pw_passwd);
++ if (crypted_pass == NULL)
++ {
++ fputs (_("crypt() call failed.\n"), stderr);
++ return 0;
++ }
++ if (!strncmp (pwd->pw_passwd, crypted_pass, passwdlen))
++ {
++ fputs (_("You cannot reuse the old password.\n"), stderr);
++ return 0;
++ }
+ }
+
+ r = 0;
+@@ -517,6 +525,7 @@ int
+ main (int argc, char **argv)
+ {
+ char *s, *progname, *domainname = NULL, *user = NULL, *master = NULL;
++ char *crypted_pass;
+ int f_flag = 0, l_flag = 0, p_flag = 0, error, status;
+ int hash_id = DES;
+ char rounds[11] = "\0"; /* max length is '999999999$' */
+@@ -738,7 +747,13 @@ main (int argc, char **argv)
+ char *sane_passwd = alloca (passwdlen + 1);
+ strncpy (sane_passwd, pwd->pw_passwd, passwdlen);
+ sane_passwd[passwdlen] = 0;
+- if (strcmp (crypt (s, sane_passwd), sane_passwd))
++ crypted_pass = crypt (s, sane_passwd);
++ if (crypted_pass == NULL)
++ {
++ fprintf (stderr, _("crypt() call failed.\n"));
++ return 1;
++ }
++ if (strcmp (crypted_pass, sane_passwd))
+ {
+ fprintf (stderr, _("Sorry.\n"));
+ return 1;
+@@ -833,7 +848,14 @@ main (int argc, char **argv)
+ break;
+ }
+
+- yppwd.newpw.pw_passwd = strdup (crypt (buf, salt));
++ crypted_pass = crypt (buf, salt);
++ if (crypted_pass == NULL)
++ {
++ printf (_("crypt() call failed - password unchanged.\n"));
++ return 1;
++ }
++
++ yppwd.newpw.pw_passwd = strdup (crypted_pass);
+ }
+
+ if (f_flag)
diff --git a/patches/source/yptools/yptools.SlackBuild b/patches/source/yptools/yptools.SlackBuild
new file mode 100755
index 000000000..1f1a74f71
--- /dev/null
+++ b/patches/source/yptools/yptools.SlackBuild
@@ -0,0 +1,292 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# Package version number:
+VERSION=2.14
+BUILD=${BUILD:-3_slack14.1}
+
+YPTOOLS=$VERSION
+YPBINDMT=1.37.1
+#YPMAKE=0.11
+YPSERV=2.31
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-yptools
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+echo "+==============+"
+echo "| yp-tools-$YPTOOLS |"
+echo "+==============+"
+cd $TMP
+mkdir -p $PKG/etc
+# Add etc/nsswitch.conf-nis as a full NIS+ example config file:
+zcat $CWD/nsswitch.conf-nis.gz > $PKG/etc/nsswitch.conf-nis.new
+rm -rf yp-tools-$YPTOOLS
+tar xvf $CWD/yp-tools-$YPTOOLS.tar.bz2 || exit 1
+cd yp-tools-$YPTOOLS || exit 1
+zcat $CWD/yp-tools-2.14-glibc217-crypt.diff.gz | patch -p1 --verbose || exit 1
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-domainname \
+ $ARCH-slackware-linux
+# Don't ask
+make clean
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-domainname \
+ $ARCH-slackware-linux
+make CFLAGS="$SLKCFLAGS" || exit 1
+mkdir -p $PKG/var/yp
+cat etc/nicknames > $PKG/var/yp/nicknames.new
+mkdir -p $PKG/usr/share/locale/de/LC_MESSAGES
+cat po/de.gmo > $PKG/usr/share/locale/de/LC_MESSAGES/yp-tools.mo
+cd src
+mkdir -p $PKG/usr/bin
+cat ypcat > $PKG/usr/bin/ypcat
+cat ypmatch > $PKG/usr/bin/ypmatch
+cat yppasswd > $PKG/usr/bin/yppasswd
+cat ypwhich > $PKG/usr/bin/ypwhich
+( cd $PKG/usr/bin
+ chmod 755 ypcat ypmatch yppasswd ypwhich )
+( cd $PKG/usr/bin
+ rm -rf ypchfn ypchsh
+ ln -sf yppasswd ypchfn
+ ln -sf yppasswd ypchsh )
+mkdir -p $PKG/usr/sbin
+cat yppoll > $PKG/usr/sbin/yppoll
+cat ypset > $PKG/usr/sbin/ypset
+( cd $PKG/usr/sbin
+ chmod 755 yppoll ypset )
+cd ../man
+mkdir -p $PKG/usr/man/man{1,5,8}
+cat nicknames.5 | gzip -9c > $PKG/usr/man/man5/nicknames.5.gz
+for file in *.1 ; do
+ cat $file | gzip -9c > $PKG/usr/man/man1/$file.gz
+done
+for file in *.8 ; do
+ cat $file | gzip -9c > $PKG/usr/man/man8/$file.gz
+done
+cd ..
+mkdir -p $PKG/usr/doc/yp-tools-$YPTOOLS
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/yp-tools-$YPTOOLS
+chown -R root:root $PKG/usr/doc/yp-tools-$YPTOOLS
+chmod 644 $PKG/usr/doc/yp-tools-$YPTOOLS/*
+
+echo "+================+"
+echo "| ypbind-mt-$YPBINDMT |"
+echo "+================+"
+cd $TMP
+rm -rf ypbind-mt-$YPBINDMT
+tar xvf $CWD/ypbind-mt-$YPBINDMT.tar.bz2 || exit 1
+cd ypbind-mt-$YPBINDMT || exit 1
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ $ARCH-slackware-linux
+# Hard to believe how sloppy these tarballs are. This is why I got complaints
+# that YP didn't work but it was "fixed with a simple recompile."
+make clean
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ $ARCH-slackware-linux
+make CFLAGS="$SLKCFLAGS" || exit 1
+mkdir -p $PKG/etc
+cat etc/yp.conf > $PKG/etc/yp.conf.new
+cat src/ypbind > $PKG/usr/sbin/ypbind
+chmod 755 $PKG/usr/sbin/ypbind
+cat man/yp.conf.5 | gzip -9c > $PKG/usr/man/man5/yp.conf.5.gz
+cat man/ypbind.8 | gzip -9c > $PKG/usr/man/man8/ypbind.8.gz
+mkdir -p $PKG/usr/share/locale/de/LC_MESSAGES
+cat po/de.gmo > $PKG/usr/share/locale/de/LC_MESSAGES/ypbind-mt.mo
+mkdir -p $PKG/usr/doc/ypbind-mt-$YPBINDMT
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/ypbind-mt-$YPBINDMT
+chown root:root $PKG/usr/doc/ypbind-mt-$YPBINDMT/*
+chmod 644 $PKG/usr/doc/ypbind-mt-$YPBINDMT/*
+
+# OBSOLETE (I don't see anyone packaging this anymore... inform me if it still
+# works and you use and care about it)
+#echo "+=============+"
+#echo "| ypmake-$YPMAKE |"
+#echo "+=============+"
+#cd $TMP
+#rm -rf ypmake-$YPMAKE
+#tar xvf $CWD/ypmake-$YPMAKE.tar.bz2 || exit 1
+#cd ypmake-$YPMAKE || exit 1
+#./configure
+## I'm just not taking chances with the cleanliness of these sources anymore...
+#make clean
+#./configure
+#make
+#cat ypmake > $PKG/usr/sbin/ypmake
+#chmod 755 $PKG/usr/sbin/ypmake
+#mkdir -p $PKG/usr/lib/yp/ypmake
+#install -o root -g root -m 644 aliases arrays automount config ethers group \
+ #gshadow hosts netgroup netid networks passwd protocols publickey rpc \
+ #services shadow ypservers $PKG/usr/lib/yp/ypmake
+#cat ypmake.conf.sample > $PKG/var/yp/ypmake.conf.new
+#cat ypmake.conf.man | gzip -9c > $PKG/usr/man/man5/ypmake.conf.5.gz
+#cat ypmake.man | gzip -9c > $PKG/usr/man/man8/ypmake.8.gz
+#mkdir -p $PKG/usr/doc/ypmake-$YPMAKE
+#cp -a CHANGES README TODO $PKG/usr/doc/ypmake-$YPMAKE
+#chmod 644 $PKG/usr/doc/ypmake-$YPMAKE/*
+#chown root:root $PKG/usr/doc/ypmake-$YPMAKE/*
+
+echo "+============+"
+echo "| ypserv-$YPSERV |"
+echo "+============+"
+cd $TMP
+rm -rf ypserv-$YPSERV
+tar xvf $CWD/ypserv-$YPSERV.tar.bz2 || exit 1
+cd ypserv-$YPSERV || exit 1
+# --with-ndbm=yes
+# Support for this was discontinued upstream
+# --enable-tcp-wrapper
+./configure \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-fqdn \
+ --enable-yppasswd \
+ $ARCH-slackware-linux
+make clean
+./configure \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-fqdn \
+ --enable-yppasswd \
+ $ARCH-slackware-linux
+make CFLAGS="$SLKCFLAGS" || exit 1
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/yp
+( cd scripts
+ for file in create_printcap match_printcap pwupdate ypinit ypxfr_1perday ypxfr_1perhour ypxfr_2perday ; do
+ cat $file | sed -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" > $PKG/usr/lib${LIBDIRSUFFIX}/yp/$file
+ chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/yp/$file
+ done
+ for file in pwupdate.8 ypinit.8 ; do
+ gzip -9c $file > $PKG/usr/man/man8/$file.gz
+ done )
+for FILE in makedbm mknetid revnetgroup yphelper ypxfr ; do
+ ( cd $FILE
+ cat $FILE > $PKG/usr/lib${LIBDIRSUFFIX}/yp/$FILE
+ chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/yp/$FILE
+ cat ${FILE}.8 | gzip -9c > $PKG/usr/man/man8/${FILE}.8.gz )
+done
+cat rpc.ypxfrd/ypxfrd.8 | gzip -9c > $PKG/usr/man/man8/ypxfrd.8.gz
+for FILE in ypserv rpc.yppasswdd rpc.ypxfrd yppush ; do
+ ( cd $FILE
+ cat $FILE > $PKG/usr/sbin/$FILE
+ chmod 755 $PKG/usr/sbin/$FILE
+ cat ${FILE}.8 | gzip -9c > $PKG/usr/man/man8/${FILE}.8.gz )
+done
+cat rpc.yppasswdd/yppasswdd.8 | gzip -9c > $PKG/usr/man/man8/yppasswdd.8.gz
+cat scripts/ypMakefile > $PKG/var/yp/Makefile.new
+cat etc/securenets > $PKG/var/yp/securenets.new
+echo "# This file is part of the YP server package -- see 'man netgroup'" \
+ > $PKG/etc/netgroup.new
+cat etc/netgroup >> $PKG/etc/netgroup.new
+cat etc/netgroup.5 | gzip -9c > $PKG/usr/man/man5/netgroup.5.gz
+cat etc/ypserv.conf.5 | gzip -9c > $PKG/usr/man/man5/ypserv.conf.5.gz
+mkdir -p $PKG/usr/include/rpcsvc
+cat lib/ypxfrd.x > $PKG/usr/include/rpcsvc/ypxfrd.x
+mkdir -p $PKG/usr/doc/ypserv-$YPSERV
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/ypserv-$YPSERV
+chmod 644 $PKG/usr/doc/ypserv-$YPSERV/*
+chown root:root $PKG/usr/doc/ypserv-$YPSERV/*
+
+mkdir -p $PKG/etc/rc.d
+zcat $CWD/rc.yp.gz > $PKG/etc/rc.d/rc.yp.new
+chmod 644 $PKG/etc/rc.d/rc.yp.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# install script and package description:
+mkdir -p $PKG/install
+cat << EOF > $PKG/install/doinst.sh
+config() {
+ NEW="\$1"
+ OLD="\`dirname \$NEW\`/\`basename \$NEW .new\`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\`cat \$OLD | md5sum\`" = "\`cat \$NEW | md5sum\`" ]; then # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.yp.new:
+if [ -e etc/rc.d/rc.yp ]; then
+ cp -a etc/rc.d/rc.yp etc/rc.d/rc.yp.new.incoming
+ cat etc/rc.d/rc.yp.new > etc/rc.d/rc.yp.new.incoming
+ mv etc/rc.d/rc.yp.new.incoming etc/rc.d/rc.yp.new
+fi
+
+config etc/nsswitch.conf-nis.new
+config etc/netgroup.new
+config etc/yp.conf.new
+config etc/rc.d/rc.yp.new
+config var/yp/nicknames.new
+config var/yp/Makefile.new
+config var/yp/securenets.new
+rm -f etc/nsswitch.conf.new etc/nsswitch.conf-nis.new etc/netgroup.new etc/yp.conf.new var/yp/nicknames.new var/yp/Makefile.new var/yp/securenets.new
+EOF
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/yptools-$VERSION-$ARCH-$BUILD.txz
+